Bug 631883 - Logger plugin settings are not honored
Summary: Logger plugin settings are not honored
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jiri Moskovcak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-08 15:15 UTC by Steve Tyler
Modified: 2015-02-01 22:52 UTC (History)
8 users (show)

Fixed In Version: abrt-2.0.1-2.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-04-26 16:18:37 UTC


Attachments (Terms of Use)

Description Steve Tyler 2010-09-08 15:15:31 UTC
Description of problem:
Unchecking the append checkbox in the Logger plugin configurator has no effect. Reports are appended anyway.

Changing the name of the destination file also has no effect.

The settings are saved somewhere, because they are displayed when the abrt GUI is restarted. The settings are not saved in /etc/abrt/plugins/ -- those files all have the same unchanging date.

Version-Release number of selected component (if applicable):
abrt-1.1.13-2.fc14.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Uncheck "Append new logs" in the Logger plugin configurator.
2. Quit abrt.
3. Remove /var/log/abrt.log.
4. Start abrt.
5. Save two reports using Logger.
  
Actual results:
Both reports are in /var/log/abrt.log.

Expected results:
One report is in /var/log/abrt.log.

Additional info:

$ ls -lF /etc/abrt/plugins/
total 24
-rw-r--r--. 1 root root  240 Aug 20 06:27 Bugzilla.conf
-rw-r--r--. 1 root root 1333 Aug 20 06:27 CCpp.conf
-rw-r--r--. 1 root root  602 Aug 20 06:27 Kerneloops.conf
-rw-r--r--. 1 root root   95 Aug 20 06:27 Logger.conf
-rw-r--r--. 1 root root   14 Aug 20 06:27 Python.conf
-rw-r--r--. 1 root root   93 Aug 20 06:27 SQLite3.conf

Comment 1 Fedora Update System 2011-03-27 17:35:17 UTC
abrt-2.0.0-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.0-1.fc15

Comment 2 Fedora Update System 2011-03-29 20:00:15 UTC
abrt-2.0.0-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.0-2.fc15

Comment 3 Fedora Update System 2011-03-30 02:31:29 UTC
Package abrt-2.0.0-2.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.0.0-2.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/abrt-2.0.0-2.fc15
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-03-30 16:47:49 UTC
abrt-2.0.0-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.0-3.fc15

Comment 5 Fedora Update System 2011-04-04 14:07:30 UTC
abrt-2.0.0-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.0-4.fc15

Comment 6 Fedora Update System 2011-04-15 15:07:29 UTC
abrt-2.0.0-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.0-5.fc15

Comment 7 Fedora Update System 2011-04-20 13:28:59 UTC
abrt-2.0.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.1-1.fc15

Comment 8 Fedora Update System 2011-04-21 16:43:44 UTC
abrt-2.0.1-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.1-2.fc15

Comment 9 Fedora Update System 2011-04-26 16:11:04 UTC
abrt-2.0.1-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.